@import "_variables";
@import "_mixins";

.title {
  @include font-title;
}

.posts {
  .posts-list {
    li {
      & a {
        @media (min-width: 768px) {
        display: flex;
        }
        .posts-img {
          @include img-size;
          padding-top: 20px;
          padding-bottom: 20px;
        }

        .posts-side {
          @media (min-width: 768px) {
            margin: 3%;
          }

          & h3 {
            line-height: 1.87em;
          }

          & span {
            font-weight: 400;
            font-size: 0.68em;
            line-height: 1.25em;
            color: #7C7C7C;
          }

          & p{
            display: none;
            margin-top: 15px;
            font-weight: 400;
            line-height: 1.62em;
            color: #5C5C5C;

            @media (min-width: 768px) {
              font-size: 0.75em;
              width: 80%;
              display: block;
            }
            @media (min-width: 1200px) {
              width: 100%;
            }
          }
        }
      }
    }

    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-areas:
  'posts1'
  'posts2'
  'posts3'
  'posts4'
  ;
    @media (min-width: 1200px) {
      grid-template-columns: 1fr 1fr;
      grid-template-rows: 1fr 1fr;
      grid-template-areas:
      'posts1 posts3'
      'posts2 posts4'
      ;
    }

    & li:nth-child(1) {
      grid-area: posts1;
    }

    & li:nth-child(2) {
      grid-area: posts2;
    }

    & li:nth-child(3) {
      grid-area: posts3;
    }

    & li:nth-child(4) {
      grid-area: posts4;
      display: none;
    }

    @media (min-width: 768px) {
      & li:nth-child(4) {
        display: block;
      }
    }
  }
}

.last {
  .last-title {
    margin-top: 35px;
    margin-bottom: 10px;
  }

  .last-img {
    @include img-size;
  }
}

.last-box-go-to{
  display: flex;
  justify-content: space-between;
  .go-to{
    margin-top: 35px;
    &:hover{
      color: $color-menu-active;
    }
  }

}

@media (max-width: 768px) {
  .go-to {
    display: none;
  }
}

.background2{
  padding-bottom: 50px;
  background: #F5F5F5;
}

.last-list {
  display: grid;
  grid-template-columns: 1fr;
  grid-column-gap: 10px;
  //& li{
  //  display: flex;
  //  & a{
  //    display: inherit;
  //    justify-content: center;
  //  }
  //}

@include child-display-none(2);

  @media (min-width: 320px) {
    @include child-display-none(2);
  }

  @media (min-width: 768px) {
    grid-template-columns: 1fr 1fr 1fr;
    & li:nth-child(2) {
      display: block;
    }

    & li:nth-child(3) {
      display: block;
    }
  }

  @media (min-width: 1200px) {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    & li:nth-child(4) {
      display: block;
    }
  }
}


